{% extends 'base_fullwidth_leaflet.html' %}
{% load leaflet_tags i18n staticfiles crispy_forms_tags django_tables2 geojson_tags %}
{% leaflet_js %} {% leaflet_css %}
{% block jsvar %} {% endblock %}
{% block title %}{{ title | safe }}{% endblock %}
{% block content %}
<style>
  .leaflet-container-default {
    min-height: 800px;
  }

  #searchMap {
    height: 800px;
    min-height: 800px;
  }

  input[type='range'] {
    width: 100%;
    height: 1px;
  }

</style>

<script>
  const dataUrl = "{% url 'sights:place_search_api' %}";
  const userId = parseInt('{{ user.id }}');
  const onlyMyPlaces = ('{% if only_mine %}{{only_mine|yesno:"true,false"}}{% endif %}' === 'true');
  $(document).ready(function () {
    placeSearchBlock(dataUrl, userId, onlyMyPlaces);
  });

</script>
<div id="placeSearch">
  <h1>
    <a href="{% url 'sights:place_create' %}" class="btn btn-primary pull-right"><i
        class="fa fa-fw fa-map-marker-alt"></i>
      {% trans 'Créer une localité' %}</a><i class="{{ icon | safe }}"></i> {{ title | safe }}
  </h1>
  {% comment %}Tableau de recherche avec filtrage {% endcomment %}
  <div class="col-sm-12 col-md-6 col-lg-7">
    <div class="panel panel-default">
      <div class="panel-body">
        <form id="searchForm" class="form-inline text-center">
          <div class="form-row">
            <div class="form-group form-group-sm mr-2">
              <label for="territory" class="control-label">Département</label>
              <select class="form-control form-control-sm" name="territory" id="territory">
                <option value="">-</option>
                {% for t in enable_territory %}
                <option value="{{t.id}}">{{ t.name }} ({{ t.code }})</option>
                {% endfor %}
              </select>
            </div>
            <div class="form-group form-group-sm mr-2">
              <label for="municipality" class="control-label">Commune</label>
              <input class="form-control form-control-sm" type="text" id="municipality" name="municipality"
                placeholder="Commune" />
            </div>
            <div class="form-group form-group-sm mr-2">
              <label for="type" class="control-label">Nom</label>
              <input class="form-control form-control-sm" type="text" id="name" name="name" placeholder="Nom" />
            </div>
            <div class="form-group form-group-sm mr-2">
              <label for="metaplace" class="control-label">Métasite</label>
              <input class="form-control form-control-sm" type="text" id="metaplace" name="metaplace"
                placeholder="Métasite" />
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm">
              <input name="gite" type="checkbox" class="form-check-input" id="gite" />
              <label class="form-check-label" for="gite">Gite</label>
            </div>
            <div class="form-group form-group-sm">
              <label for="type">Type</label>
              <input class="form-control form-control-sm" type="text" id="type" name="type" placeholder="Type" />
            </div>
            <div class="form-group form-group-sm">
              <input id="convention" name="convention" type="checkbox" class="form-check-input" />
              <label class="form-check-label" for="gite">Convention refuge</label>
            </div>
            <div class="form-group form-group-sm">
              <input id="managed" name="managed" type="checkbox" class="form-check-input" />
              <label class="form-check-label" for="managed">Site géré</label>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm">
              <label for="alt_min">Altitude mini</label>
              <input class="form-control form-control-sm" type="number" id="alt_min" name="alt_min"
                placeholder="Altitude mini" />
            </div>
            <div class="form-group form-group-sm">
              <label for="alt_max">Altitude maxi</label>
              <input class="form-control form-control-sm" type="number" id="alt_max" name="alt_max"
                placeholder="Altitude maxi" />
            </div>
            <div class="form-group form-group-sm  mr-2">
              <label for="page_size">Nombre de donnnées à afficher</label>
              <input class="form-control form-control-sm" type="number" id="page_size" name="page_size" min="1000"
                max="5000" step="1000" placeholder="Nombre de données">
            </div>
            <div class="form-group form-group-sm mr-2">
              <input name="only_mine" type="checkbox" class="form-check-input" id="only_mine" />
              <label class="form-check-label" for="mine">Créés par moi</label>
            </div>
            <input type="hidden" id="created_by_id" name="created_by_id" value="">
          </div>
          <span id="results"></span>
        </form>
      </div>
    </div>
    {% if count %}
    <div class="panel panel-default">
      <div class="panel-body">
        {% if export %}
        <div class="btn-group btn-group-xs pull-right">
          <button type="button" class="btn btn-primary btn-xs dropdown-toggle" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            {% trans 'Exporter' %} <span class="caret"></span>
          </button>
          <ul class="dropdown-menu">
            <li>
              <a href="{% querystring '_export'='csv' %}">
                download as csv</a>
            </li>
            <li>
              <a href="{% querystring '_export'='ods' %}">
                download as ods</a>
            </li>
            <li>
              <a href="{% querystring '_export'='xls' %}">
                download as xlsx</a>
            </li>
            <li>
              <a href="{% querystring '_export'='xlsx' %}">
                download as xls</a>
            </li>
          </ul>
        </div>
        {% endif %} {{ counttitle }} : <b>{{ count }}</b>
      </div>
    </div>
    {% endif %}

    <div class="panel panel-default table-responsive">
      <table id="place_results" class="table table-striped table-condensed map-navigation" cellspacing="0" width="100%">
        <thead>
          <tr>
            <th>+</th>
            <th>Actions</th>
            <th>Nom</th>
            <th>Altitude</th>
            <th>Commune</th>
            <th>Métasite</th>
            <th>Type</th>
          </tr>
        </thead>
      </table>
    </div>
    <script></script>
  </div>
  {% if filter %}
  <link rel="stylesheet" href="{% static 'css/select2-bootstrap.min.css' %}" />
  <script type="text/javascript">
    {
      {
        js | safe
      }
    }
    $.fn.select2.defaults.set('theme', 'bootstrap')

  </script>
  {% endif %} {#    <div class="col-sm-12 col-md-6 col-lg-5">        #} {# {% leaflet_map "main" %}#}
  {#     </div>    #}
  <div class="col-sm-12 col-md-6 col-lg-5">
    {% leaflet_map "main" %}
  </div>
</div>
{% endblock %}
